Bug 520468 - icu-4.2.1-5.fc12 rebuild problems for RHEL-6
Summary: icu-4.2.1-5.fc12 rebuild problems for RHEL-6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: icu
Version: 6.0
Hardware: s390x
OS: Linux
high
high
Target Milestone: alpha
: ---
Assignee: Caolan McNamara
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 15:47 UTC by Karsten Hopp
Modified: 2009-10-14 22:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-01 11:13:55 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2009-08-31 15:47:32 UTC
Description of problem:
 icu-4.2.1-5.fc12 cannot be rebuilt on s390x for RHEL6:



ar: creating uconvmsg/libuconvmsg.a
genccode: --match-arch cpu=3 bits=32 big-endian=2
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -march=z9-109 -mtune=z10 -W -Wall -ansi -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long   -o ../../bin/uconv uconv.o uwmsg.o -L../../lib -licui18n -L../../lib -licuuc -L../../lib -L../../stubdata -licudata -lpthread -lm   uconvmsg/libuconvmsg.a
/usr/bin/ld: unknown architecture of input file `uconvmsg/libuconvmsg.a(uconvmsg_dat.o)' is incompatible with s390:64-bit output
collect2: ld returned 1 exit status


Actual results:

https://brewweb.devel.redhat.com/taskinfo?taskID=1940248

Comment 1 RHEL Product and Program Management 2009-08-31 15:58:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Caolan McNamara 2009-08-31 19:18:51 UTC
Hmm, on the bright side I've definitely built an older icu (as part of the vanilla openoffice.org *internal* icu) so while I haven't a clue about this it should be possible to get this to work.

Comment 3 Caolan McNamara 2009-09-01 11:13:55 UTC
part of this is https://bugs.icu-project.org/trac/ticket/6969
but most of this is from "checking for genccode assembly... " which is blank and leads the build into a blind alley where the default is 32bit output. 
I've added a simple fix as https://bugs.icu-project.org/trac/ticket/7119

Built as

Comment 4 Caolan McNamara 2009-09-01 11:14:23 UTC
icu-4.2.1-6.fc12

Comment 5 Dennis Gilmore 2009-10-14 22:09:18 UTC
for the record the objects its trying to link are 32 bit x86  not just 32 bit of the native arch.  32 bit sparc was failing also.


Note You need to log in before you can comment on or make changes to this bug.